%define anolis_release 1

Name:           python-multidict
Version:        6.0.4
Release:        %{anolis_release}%{?dist}
Summary:        MultiDict implementation

License:        Apache-2.0
URL:            https://github.com/aio-libs/multidict
Source:         %{pypi_source multidict}

BuildRequires:  gcc

%global _description %{expand:
Multidict is dict-like collection of key-value pairs where key might occur more
than once in the container.}

%description %_description

%package -n python3-multidict
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
BuildRequires:  python3-pytest

%description -n python3-multidict %_description


%prep
%autosetup -n multidict-%{version}
sed -i -e '/addopts/d' setup.cfg


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files multidict


%check
%pytest -v tests


%files -n python3-multidict -f %{pyproject_files}


%changelog
* Fri May 05 2023 Funda Wang <fundawang@yeah.net> - 6.0.4-1
- Import package for anolis 23
